<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# gdt

```text
usage: gdt [-h] address [count]

```

Decode X86-64 GDT entries at address

See also:

* https://wiki.osdev.org/Global_Descriptor_Table
* https://wiki.osdev.org/GDT_Tutorial
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|address|x86-64 GDTR base address (e.g. read from sgdt instruction from [16:79] bits)|
|count|Number of entries to dump (should be (GDTR.size+1)/8) (default: 8)|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|

### Notes
In 64-bit mode, the Base and Limit values are ignored, each descriptor covers
the entire linear address space regardless of what they are set to.

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
